/**
 * Copyright (c) 2011 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * For the applicable distribution terms see the license.txt -file, included in
 * the distribution.
 */

#ifndef ROTATIONDATA_H
#define ROTATIONDATA_H

#include <QObject>
#include <QRotationSensor>
#include <QVariant>

QTM_USE_NAMESPACE


class RotationData : public QObject
{
    Q_OBJECT

public:
    explicit RotationData(QObject *parent = 0);

public slots:
    void updateRotation();

signals:
    void rotationChanged(QVariant);
    void tiltedLeft();
    void tiltedRight();

private: // Data
    QRotationSensor *m_rotationSensor; // Owned
    qreal m_yRot;
};

#endif // ROTATIONDATA_H
